import * as z from 'zod';
// prettier-ignore
export const InsuranceCredentialModelSchema = z.object({
    id: z.number().int(),
    userId: z.number().int(),
    siteKey: z.string(),
    username: z.string(),
    password: z.string(),
    user: z.unknown()
}).strict();

export type InsuranceCredentialPureType = z.infer<typeof InsuranceCredentialModelSchema>;
